"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wsClient = exports.apolloClient = void 0;
var tslib_1 = require("tslib");
var apollo_link_1 = require("apollo-link");
var apollo_cache_instorage_1 = require("apollo-cache-instorage");
var graphql_client_1 = require("vue-cli-plugin-apollo/graphql-client");
var pusher_js_1 = tslib_1.__importDefault(require("pusher-js"));
var PusherLink_1 = tslib_1.__importDefault(require("./PusherLink"));
pusher_js_1.default.logToConsole = process.env.NODE_ENV !== 'production';
var AUTH_TOKEN = 'accessToken';
var httpEndpoint = process.env.VUE_APP_GRAPHQL_HTTP || 'http://127.0.0.1:3000/graphql';
var pusherLink = new PusherLink_1.default({
    pusher: new pusher_js_1.default(process.env.VUE_APP_PUSHER_KEY, {
        cluster: process.env.VUE_APP_PUSHER_CLUSTER,
        forceTLS: true,
        authEndpoint: process.env.VUE_APP_HTTP_ENDPOINT + "/graphql/subscriptions/auth",
        auth: {
            params: null,
            headers: {
                authorization: "Bearer " + localStorage.getItem(AUTH_TOKEN),
            },
        },
    }),
});
var persistLink = new apollo_cache_instorage_1.PersistLink();
var link = apollo_link_1.ApolloLink.from([
    persistLink,
    pusherLink,
]);
var _a = graphql_client_1.createApolloClient({
    httpEndpoint: httpEndpoint,
    tokenName: AUTH_TOKEN,
    link: link,
    connectToDevTools: process.env.NODE_ENV !== 'production',
}), apolloClient = _a.apolloClient, wsClient = _a.wsClient;
exports.apolloClient = apolloClient;
exports.wsClient = wsClient;
//# sourceMappingURL=apolloClient.js.map