"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var collect_js_1 = tslib_1.__importDefault(require("collect.js"));
var Collection = (function () {
    function Collection(items) {
        if (items === void 0) { items = []; }
        this.collection = collect_js_1.default(items);
        return new Proxy(this, {
            get: Collection.__get,
        });
    }
    Collection.__get = function (target, prop) {
        if (Reflect.has(target, prop)) {
            return Reflect.get(target, prop);
        }
        var collection = Reflect.get(target, 'collection');
        if (Reflect.has(collection, prop)) {
            return Reflect.get(collection, prop);
        }
        return undefined;
    };
    Collection.fromArray = function (array, skipEmpty) {
        if (skipEmpty === void 0) { skipEmpty = true; }
        return new Collection(array.filter(function (i) { return i || !skipEmpty; }));
    };
    return Collection;
}());
exports.default = Collection;
//# sourceMappingURL=Collection.js.map